Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.runtime
Class ServerInterface

All Known Implementing Classes:
  AccessControlListIndexAgent, AuditEventDispatchAgent, BaseAgent, ClusteredServer, ContentAgent, DanglingObjectAVCleanupAgent, EventExchangerAgent, EventHandlerAgent, ExpirationAgent, FolderIndexAgent, FolderIndexAnalyzerAgent, GarbageCollectionAgent, IfsServer, InboundQueueListenerAgent, LifecycleAgent, LockExpirationAgent, NonCompetingClusteredServer, QuotaAgent, RetainedEventAgent, Server, ServiceWarmupAgent, StatisticsAgent

    public interface class ServerInterface

ServerInterface is the interface for Server, a managed CM SDK application.

(Published)

Field Summary
`static int` | `SERVERSTATUS_DISPOSED` A Server that has been disposed.
`static int` | `SERVERSTATUS_RUNNING` A Server that is running.
`static int` | `SERVERSTATUS_STARTING` A Server that is starting.
`static int` | `SERVERSTATUS_STOPPED` A Server that is stopped.
`static int` | `SERVERSTATUS_STOPPING` A Server that is stopping.
`static int` | `SERVERSTATUS_SUSPENDED` A Server that is suspended.
`static int` | `SERVERSTATUS_UNKNOWN` A Server whose status is unknown.

Method Summary
`void` | `dispose()` Disposes this Server.
`java.lang.String` | `getName()` Gets the name of this Server.
`int` | `getPriority()` Gets the priority of this Server.
`AttributeValue[]` | `getProperties()` Gets the values for all dynamic properties for this Server.
`AttributeValue` | `getProperty(java.lang.String name)` Gets the value of the specified dynamic property for this Server.
`java.lang.String` | `getServerConfigurationName()` Gets the Server configuration name of this Server.
`java.lang.String` | `getServerType()` Gets the type of this Server.
`java.lang.String` | `getServiceName()` Gets the name of the default service for this Server.
`int` | `getStatus()` Gets the status of this Server.
`boolean` | `isAgent()` Gets whether this Server is an agent.
`boolean` | `isPropertyReadonly(java.lang.String name)` Gets whether the specified dynamic property is readonly.
`void` | `restart()` Requests this Server to restart.
`void` | `resume()` Requests this Server to resume.
`void` | `setPriority(int priority)` Sets the priority of this Server.
`void` | `setProperty(AttributeValue av)` Sets the value of the specified dynamic property for this Server.
`void` | `start()` Requests this Server to start.
`void` | `stop()` Requests this Server to stop.
`boolean` | `supportsPriority()` Gets whether this Server supports set/get priority.
`boolean` | `supportsSuspendResume()` Gets whether this Server supports suspend/resume.
`void` | `suspend()` Requests this Server to suspend.

Field Detail

### SERVERSTATUS_UNKNOWN

    static final int SERVERSTATUS_UNKNOWN

  Description copied from interface: `ServerInterface`
  A Server whose status is unknown.

  See Also:
    Constant Field Values
  (Published)

### SERVERSTATUS_STOPPED

    static final int SERVERSTATUS_STOPPED

  Description copied from interface: `ServerInterface`
  A Server that is stopped.

  See Also:
    Constant Field Values
  (Published)

### SERVERSTATUS_RUNNING

    static final int SERVERSTATUS_RUNNING

  Description copied from interface: `ServerInterface`
  A Server that is running.

  See Also:
    Constant Field Values
  (Published)

### SERVERSTATUS_STOPPING

    static final int SERVERSTATUS_STOPPING

  Description copied from interface: `ServerInterface`
  A Server that is stopping.

  See Also:
    Constant Field Values
  (Published)

### SERVERSTATUS_STARTING

    static final int SERVERSTATUS_STARTING

  Description copied from interface: `ServerInterface`
  A Server that is starting.

  See Also:
    Constant Field Values
  (Published)

### SERVERSTATUS_SUSPENDED

    static final int SERVERSTATUS_SUSPENDED

  Description copied from interface: `ServerInterface`
  A Server that is suspended.

  See Also:
    Constant Field Values
  (Published)

### SERVERSTATUS_DISPOSED

    static final int SERVERSTATUS_DISPOSED

  Description copied from interface: `ServerInterface`
  A Server that has been disposed.

  See Also:
    Constant Field Values
  (Published)

Method Detail

### getName

    java.lang.String getName()
                             throws IfsException

  Description copied from interface: `ServerInterface`
  Gets the name of this Server.

  Returns:
    the name
  Throws:
    `IfsException` - (IFS-45160) if the operation fails
  (Published)

### getServerConfigurationName

    java.lang.String getServerConfigurationName()
                                                throws IfsException

  Description copied from interface: `ServerInterface`
  Gets the Server configuration name of this Server.

  Returns:
    the Server configuration name which specifies a unique SERVERCONFIGURATION classobject. The return value can be null if the object was initialized with no Server configuration name
  Throws:
    `IfsException` - (IFS-45179) if the operation fails
  (Published)

### getServiceName

    java.lang.String getServiceName()
                                    throws IfsException

  Description copied from interface: `ServerInterface`
  Gets the name of the default service for this Server.

  Returns:
    the service name
  Throws:
    `IfsException` - (IFS-45175) if the operation fails
  (Published)

### getServerType

    java.lang.String getServerType()
                                   throws IfsException

  Description copied from interface: `ServerInterface`
  Gets the type of this Server.

  Server type is used by CM SDK administration tools to aggregate data from servers of the same type in administration user interfaces.

  Returns:
    the server type
  Throws:
    `IfsException` - (IFS-45177) if the operation fails
  (Published)

### isAgent

    boolean isAgent()
                    throws IfsException

  Description copied from interface: `ServerInterface`
  Gets whether this Server is an agent.

  This method is called by CM SDK administration tools to group together servers that are agents in administration user interfaces.

  Returns:
    whether an agent
  Throws:
    `IfsException` - (IFS-45178) if the operation fails
  (Published)

### getStatus

    int getStatus()
                  throws IfsException

  Description copied from interface: `ServerInterface`
  Gets the status of this Server.

  Returns:
    the enumerated status
  Throws:
    `IfsException` - (IFS-45161) if the operation fails
  (Published)

### supportsSuspendResume

    boolean supportsSuspendResume()
                                  throws IfsException

  Description copied from interface: `ServerInterface`
  Gets whether this Server supports suspend/resume.

  If false, then `suspend` and `resume` will throw an exception.

  Returns:
    whether suspend/resume is supported
  Throws:
    `IfsException` - (IFS-45162) if the operation fails
  (Published)

### supportsPriority

    boolean supportsPriority()
                             throws IfsException

  Description copied from interface: `ServerInterface`
  Gets whether this Server supports set/get priority.

  If false, then `setPriority` and `getPriority` will throw an exception.

  Returns:
    whether set/get priority is supported
  Throws:
    `IfsException` - (IFS-45163) if the operation fails
  (Published)

### getPriority

    int getPriority()
                    throws IfsException

  Description copied from interface: `ServerInterface`
  Gets the priority of this Server.

  The priority must be between `Thread.MIN_PRIORITY` and `Thread.MAX_PRIORITY`, inclusive.

  Returns:
    the priority
  Throws:
    `IfsException` - (IFS-45170) if the operation fails
  (Published)

### setPriority

    void setPriority(int priority)
                     throws IfsException

  Description copied from interface: `ServerInterface`
  Sets the priority of this Server.

  The priority must be between `Thread.MIN_PRIORITY` and `Thread.MAX_PRIORITY`, inclusive.

  Parameters:
    `priority` - the priority
  Throws:
    `IfsException` - (IFS-45171) if the operation fails
  (Published)

### start

    void start()
               throws IfsException

  Description copied from interface: `ServerInterface`
  Requests this Server to start.

  Throws:
    `IfsException` - (IFS-45164) if the operation fails
  (Published)

### stop

    void stop()
              throws IfsException

  Description copied from interface: `ServerInterface`
  Requests this Server to stop.

  Throws:
    `IfsException` - (IFS-45165) if the operation fails
  (Published)

### restart

    void restart()
                 throws IfsException

  Description copied from interface: `ServerInterface`
  Requests this Server to restart.

  Restart is equivalent to a stop followed by a start.

  Throws:
    `IfsException` - (IFS-45166) if the operation fails
  (Published)

### suspend

    void suspend()
                 throws IfsException

  Description copied from interface: `ServerInterface`
  Requests this Server to suspend.

  Throws:
    `IfsException` - (IFS-45167) if the operation fails
  (Published)

### resume

    void resume()
                throws IfsException

  Description copied from interface: `ServerInterface`
  Requests this Server to resume.

  Throws:
    `IfsException` - (IFS-45168) if the operation fails
  (Published)

### dispose

    void dispose()
                 throws IfsException

  Description copied from interface: `ServerInterface`
  Disposes this Server.

  This deregisters the Server to unload it from the CM SDK node. The Server must already be stopped.

  Throws:
    `IfsException` - (IFS-45169) if the operation fails
  (Published)

### getProperty

    AttributeValue getProperty(java.lang.String name)
                               throws IfsException

  Description copied from interface: `ServerInterface`
  Gets the value of the specified dynamic property for this Server.

  Parameters:
    `name` - the property name
  Returns:
    the property value, or null if no such property
  Throws:
    `IfsException` - (IFS-45172) if the operation fails
  (Published)

### getProperties

    AttributeValue[] getProperties()
                                   throws IfsException

  Description copied from interface: `ServerInterface`
  Gets the values for all dynamic properties for this Server.

  Returns:
    the property values, or null if there are no dynamic properties for this Server
  Throws:
    `IfsException` - (IFS-45173) if the operation fails
  (Published)

### setProperty

    void setProperty(AttributeValue av)
                     throws IfsException

  Description copied from interface: `ServerInterface`
  Sets the value of the specified dynamic property for this Server.

  Parameters:
    `av` - the property; the name of the AttributeValue must be set and is the property name
  Throws:
    `IfsException` - (IFS-45174) if the operation fails
  (Published)

### isPropertyReadonly

    boolean isPropertyReadonly(java.lang.String name)
                               throws IfsException

  Description copied from interface: `ServerInterface`
  Gets whether the specified dynamic property is readonly.

  Readonly properties cannot be set using `setProperty`.

  Parameters:
    `name` - the property name
  Returns:
    whether the property is readonly
  Throws:
    `IfsException` - (IFS-45176) if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD